package com.gyee.runeconomy.service.auto.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.gyee.common.model.StringUtils;
import com.gyee.runeconomy.mapper.auto.SysUserMapper;
import com.gyee.runeconomy.model.auto.SysUser;
import com.gyee.runeconomy.service.auto.ISysUserService;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.ArrayList;
import java.util.List;

/**
 * <p>
 * 用户信息表 服务实现类
 * </p>
 *
 * @author wang
 * @since 2023-07-25
 */
@Service
public class SysUserServiceImpl extends ServiceImpl<SysUserMapper, SysUser> implements ISysUserService {

    @Resource
    private SysUserMapper sysUserMapper;

    public List<String> getUserByuserId(Long userId) {

        List<String> list = new ArrayList<>();
        if (StringUtils.notEmp(userId)) {

            list = sysUserMapper.getUserByuserId(userId);
        }

        return list;
    }
}
